<?php

namespace App\Http\Requests;

use App\Models\Hodnotenie\HodnotenieEnum;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rules\Enum;

/**
 * Class HodnotenieZaznamuRequest
 */
final class HodnotenieZaznamuRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'hodnotenie' => ['required', new Enum(HodnotenieEnum::class)],
        ];
    }
}
